Available in VPC
Create a person tag.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| POST | /api/v1/workspaces/{workspace_name}/person-tags |
Request headers
For information about the headers common to all Media Intelligence APIs, see Media Intelligence request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
workspace_name |
String | Required | Workspace name |
Request body
You can include the following data in the body of your request:
| Field | Type | Required | Description |
|---|---|---|---|
name |
String | Required | Name of person tag to create
|
Request example
The request example is as follows:
curl --location --request POST 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/person-tags' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
"name": "Anchor"
}'
Response
This section describes the response format.
Response body
The response body includes the following data:
| Field | Type | Required | Description |
|---|---|---|---|
code |
String | - | API processing result code |
message |
String | - | API processing result message |
result |
Object | - | Generated person tag information |
result.id |
Integer | - | Person tag ID |
result.name |
String | - | Person tag name |
result.createdTime |
String | - | Person tag creation date and time
|
result.createdUserName |
String | - | User name that created the tag |
Response status codes
For information about the HTTP status codes common to all Media Intelligence APIs, see Media Intelligence response status codes.
Response example
The response example is as follows:
{
"code": "0",
"message": "success",
"result": {
"id": 1001,
"name": "Anchor",
"createdTime": "2025-08-15T17:13:48",
"createdUserName": "*dong Hong"
}
}